Subject: RE: SWI-Prolog 3.3.0$14

From: "Douglas Miles (Volt Computer)" <[email-masked]>
Date: Thu, 3 Feb 2000 14:12:47 -0800

I get that only a redhat system after I remake from the source .gz and then
install it

but then I correct it by  a rpm --force -i binaries-for-swi-prolog.rpm it
fixes it :)

I think it comes from the .so and the binaries not being compatible

-Doug 
  <[email-masked]>

-----Original Message-----
From: Philip Lafeber [mailto:[email-masked]]
Sent: Thursday, February 03, 2000 1:22 PM
To: Jan Wielemaker; [email-masked]
Subject: Re: SWI-Prolog 3.3.0$14

Hi,
I don't understand why I sometimes get an unreadable feedback when calling
trace/1. And then suddenly, the 'normal' feedback returns when next I call
trace/1 again. This doesn't happen to me in previous Pl-versions. What I get
(in 3.3.0) is:

?- trace.
Message: trace_mode(on).
Message: frame(128,call,[])
 ?

What I want (like in 3.2.8) is:

?- trace.

Yes
[trace] ?-

----- Original Message -----
From: Jan Wielemaker <[email-masked]>
To: <[email-masked]>
Sent: Thursday, February 03, 2000 9:13 PM
Subject: SWI-Prolog 3.3.0$14

> SWI-Prolog 3.3.0#14 has been uploaded to the BETA directory.  Due to
> a stupid mistake debugging code was left in the latest few versions,
> disabling handling the ! in call/1.
>
> Further, important bugs in apply/2 and retractall/1 have been fixed.
> The retractall bug was introduced a couple of beta releases ago, the
> apply/2 bug is probably very old.
>
> Thanks to the people with the courage to play with the 3.3.0 beta
> versions!
>
> Regards --- Jan
>
>
> ----------------
> * To UNSUBSCRIBE, please use the HTML form at
>
>     http://www.swi.psy.uva.nl/projects/SWI-Prolog/index.html#mailinglist
>
> or send mail to [email-masked] using the Subject:
"unsubscribe"
> (without the quotes) and *no* message body.
>
> ** An ARCHIVE of this list is maintained at
>
>     http://www.swi.psy.uva.nl/projects/SWI-Prolog/mailinglist/archive/
>

----------------
* To UNSUBSCRIBE, please use the HTML form at

    http://www.swi.psy.uva.nl/projects/SWI-Prolog/index.html#mailinglist

or send mail to [email-masked] using the Subject:
"unsubscribe"
(without the quotes) and *no* message body.

** An ARCHIVE of this list is maintained at

    http://www.swi.psy.uva.nl/projects/SWI-Prolog/mailinglist/archive/